import request from '@/utils/request'

// 查询预警结果列表
export function listOperationWarnresult(query) {
  return request({
    url: '/system/operationWarnresult/list',
    method: 'get',
    params: query
  })
}

// 查询预警结果详细
export function getOperationWarnresult(id) {
  return request({
    url: '/system/operationWarnresult/' + id,
    method: 'get'
  })
}

// 新增预警结果
export function addOperationWarnresult(data) {
  return request({
    url: '/system/operationWarnresult',
    method: 'post',
    data: data
  })
}

// 修改预警结果
export function updateOperationWarnresult(data) {
  return request({
    url: '/system/operationWarnresult',
    method: 'put',
    data: data
  })
}

// 删除预警结果
export function delOperationWarnresult(id) {
  return request({
    url: '/system/operationWarnresult/' + id,
    method: 'delete'
  })
}
